org.tmatesoft.svn.core.wc.xml

## Class SVNXMLStatusHandler

- java.lang.Object
- - org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
  - - org.tmatesoft.svn.core.wc.xml.SVNXMLStatusHandler

- All Implemented Interfaces:
    ISVNStatusHandler, org.xml.sax.Locator

      public class SVNXMLStatusHandler
      extends AbstractXMLHandler
      implements ISVNStatusHandler

  This is an implementation of the ISVNStatusHandler interface that writes XML formatted status information to a specified ContentHandler.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AUTHOR_TAG` `'author'` tag.
    `static java.lang.String` | `COMMENT_TAG` `'comment'` tag.
    `static java.lang.String` | `COMMIT_TAG` `'commit'` tag.
    `static java.lang.String` | `COPIED_ATTR` `'copied'` attribute.
    `static java.lang.String` | `CREATED_TAG` `'created'` tag.
    `static java.lang.String` | `DATE_TAG` `'date'` tag.
    `static java.lang.String` | `ENTRY_TAG` `'entry'` tag.
    `static java.lang.String` | `EXPIRES_TAG` `'expires'` tag.
    `static java.lang.String` | `ITEM_ATTR` `'item'` attribute.
    `static java.lang.String` | `LOCK_TAG` `'lock'` tag.
    `static java.lang.String` | `OWNER_TAG` `'owner'` tag.
    `static java.lang.String` | `PATH_ATTR` `'path'` attribute.
    `static java.lang.String` | `PROPS_ATTR` `'props'` attribute.
    `static java.lang.String` | `REMOTE_STATUS_TAG` `'repos-status'` tag.
    `static java.lang.String` | `REVISION_ATTR` `'revision'` attribute.
    `static java.lang.String` | `STATUS_TAG` `'status'` tag.
    `static java.lang.String` | `SWITCHED_ATTR` `'switched'` attribute.
    `static java.lang.String` | `TOKEN_TAG` `'token'` tag.
    `static java.lang.String` | `WC_LOCKED_ATTR` `'wc-locked'` attribute.
    `static java.lang.String` | `WC_STATUS_TAG` `'wc-status'` tag.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVNXMLStatusHandler(org.xml.sax.ContentHandler saxHandler)` Creates a new status handler.
    `SVNXMLStatusHandler(org.xml.sax.ContentHandler saxHandler, org.tmatesoft.svn.util.ISVNDebugLog log)` Creates a new status handler.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endTarget(long revision)` Closes the formatted XML with the revision against which the status is run.
    `protected java.lang.String` | `getHeaderName()`
    `protected java.lang.String` | `getRelativePath(java.io.File path)`
    `protected java.lang.String` | `getTargetPath()`
    `void` | `handleStatus(SVNStatus status)` Handles a next `status` object producing corresponding xml.
    `void` | `startTarget(java.io.File path)` Begins an XML tree with the target path for which the status is run.

    - ### Methods inherited from class org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler

      `addAttribute, addTag, closeTag, endDocument, getColumnNumber, getDebugLog, getLineNumber, getPublicId, getSystemId, openTag, startDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXPIRES_TAG

          public static final java.lang.String EXPIRES_TAG

      `'expires'` tag.
      See Also:
        Constant Field Values

    - #### CREATED_TAG

          public static final java.lang.String CREATED_TAG

      `'created'` tag.
      See Also:
        Constant Field Values

    - #### COMMENT_TAG

          public static final java.lang.String COMMENT_TAG

      `'comment'` tag.
      See Also:
        Constant Field Values

    - #### OWNER_TAG

          public static final java.lang.String OWNER_TAG

      `'owner'` tag.
      See Also:
        Constant Field Values

    - #### TOKEN_TAG

          public static final java.lang.String TOKEN_TAG

      `'token'` tag.
      See Also:
        Constant Field Values

    - #### DATE_TAG

          public static final java.lang.String DATE_TAG

      `'date'` tag.
      See Also:
        Constant Field Values

    - #### AUTHOR_TAG

          public static final java.lang.String AUTHOR_TAG

      `'author'` tag.
      See Also:
        Constant Field Values

    - #### REMOTE_STATUS_TAG

          public static final java.lang.String REMOTE_STATUS_TAG

      `'repos-status'` tag.
      See Also:
        Constant Field Values

    - #### LOCK_TAG

          public static final java.lang.String LOCK_TAG

      `'lock'` tag.
      See Also:
        Constant Field Values

    - #### COMMIT_TAG

          public static final java.lang.String COMMIT_TAG

      `'commit'` tag.
      See Also:
        Constant Field Values

    - #### WC_STATUS_TAG

          public static final java.lang.String WC_STATUS_TAG

      `'wc-status'` tag.
      See Also:
        Constant Field Values

    - #### ENTRY_TAG

          public static final java.lang.String ENTRY_TAG

      `'entry'` tag.
      See Also:
        Constant Field Values

    - #### STATUS_TAG

          public static final java.lang.String STATUS_TAG

      `'status'` tag.
      See Also:
        Constant Field Values

    - #### REVISION_ATTR

          public static final java.lang.String REVISION_ATTR

      `'revision'` attribute.
      See Also:
        Constant Field Values

    - #### SWITCHED_ATTR

          public static final java.lang.String SWITCHED_ATTR

      `'switched'` attribute.
      See Also:
        Constant Field Values

    - #### COPIED_ATTR

          public static final java.lang.String COPIED_ATTR

      `'copied'` attribute.
      See Also:
        Constant Field Values

    - #### WC_LOCKED_ATTR

          public static final java.lang.String WC_LOCKED_ATTR

      `'wc-locked'` attribute.
      See Also:
        Constant Field Values

    - #### PROPS_ATTR

          public static final java.lang.String PROPS_ATTR

      `'props'` attribute.
      See Also:
        Constant Field Values

    - #### ITEM_ATTR

          public static final java.lang.String ITEM_ATTR

      `'item'` attribute.
      See Also:
        Constant Field Values

    - #### PATH_ATTR

          public static final java.lang.String PATH_ATTR

      `'path'` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SVNXMLStatusHandler

          public SVNXMLStatusHandler(org.xml.sax.ContentHandler saxHandler)

      Creates a new status handler.
      Parameters:
        `saxHandler` - a ContentHandler to form an XML tree

    - #### SVNXMLStatusHandler

          public SVNXMLStatusHandler(org.xml.sax.ContentHandler saxHandler,
                             org.tmatesoft.svn.util.ISVNDebugLog log)

      Creates a new status handler.
      Parameters:
        `saxHandler` - a ContentHandler to form an XML tree
        `log` - a debug logger

  - ### Method Detail

    - #### startTarget

          public void startTarget(java.io.File path)

      Begins an XML tree with the target path for which the status is run.
      Parameters:
        `path` - a WC target path

    - #### handleStatus

          public void handleStatus(SVNStatus status)
                            throws SVNException

      Handles a next `status` object producing corresponding xml.
      Specified by:
        `handleStatus` in interface `ISVNStatusHandler`
      Parameters:
        `status` -
      Throws:
        `SVNException`

    - #### endTarget

          public void endTarget(long revision)

      Closes the formatted XML with the revision against which the status is run.
      Parameters:
        `revision` - a revision against which the status is run

    - #### getRelativePath

          protected java.lang.String getRelativePath(java.io.File path)

    - #### getTargetPath

          protected java.lang.String getTargetPath()

    - #### getHeaderName

          protected java.lang.String getHeaderName()

      Specified by:
        `getHeaderName` in class `AbstractXMLHandler`

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.